[SciPy-user] scipy cvs snapshot problem

Jim Benson jbenson at sextans.lowell.edu
Wed Feb 25 20:53:26 CST 2004


Hi,

I downloaded a cvs snapshot on 2004-02-25 and installed it
over a previous cvs snapshot (from 2003-12-03). The previous 
one did pass all scipy.test levels. The recent version:

Found scipy_distutils version '0.2.2_alpha_26.374' in 
'/usr/local/lib/python2.3/
site-packages/scipy_distutils/__init__.pyc'
Importing scipy_distutils.command.build_flib ... ok

failed the first test:

======================================================================
FAIL: check_nils_20Feb04 (scipy.linalg.basic.test_basic.test_solve)
----------------------------------------------------------------------
Traceback (most recent call last):
  File 
"/usr/local/lib/python2.3/site-packages/scipy/linalg/tests/test_basic.py", 
line 112, in check_nils_20Feb04
    assert_array_almost_equal(X,Ainv)
  File "/usr/local/lib/python2.3/site-packages/scipy_test/testing.py", 
line 636, in assert_array_almost_equal
    assert cond,\
AssertionError:
Arrays are not almost equal (mismatch 50.0%):
        Array 1: [[-2.3261187+2.4103813j  2.6175944-0.5570154j]
 [ 2.9991264-1.7766662j -2.0232508-0.2587063j]]
        Array 2: [[-2.8831341-0.2072131j  2.6175944-0.5570154j]
 [ 2.7404201+0.2465847j -2.0232508-0.2587063j]]
 
 
----------------------------------------------------------------------
Ran 1198 tests in 1.918s
 
FAILED (failures=1)
<unittest.TextTestRunner object at 0x4240ef2c>
>>>

My atlas version: 

floyd:/usr/local/scipy/Lib/linalg>python -c 'import atlas_version'
ATLAS version 3.4.2 built by root on Tue Dec  2 20:35:31 MST 2003:
 

...am i forgetting something critical?

Thanks,
 
Jim




More information about the SciPy-user mailing list